<?php
declare(strict_types=1);

namespace PpPhp\Core\Platform\Event\Worker\Contracts;

use PpPhp\Core\Platform\Event\Worker\WorkerRegistry;
use PpPhp\Core\Platform\Event\Worker\WorkerStatistics;

interface WorkerRuntimeInterface
{
    public function register(WorkerInterface $worker): void;
    public function workers(): WorkerRegistry;
    public function startAll(): void;
    public function stopAll(): void;
    public function statistics(): WorkerStatistics;
}
